# New-SanCertificate

Generates a self-signed certificate to be used by IIS for HTTPS communications

## Requirements

- Must be running as an admin
- IIS must be installed for it to set the binding on the Default site

## Variables

|      Variable      | Required |           Default            | Choices |                              Description                               |
| ------------------ | -------- | ---------------------------- | ------- | ---------------------------------------------------------------------- |
| IpAddress          | No       | IPv4 addresses of the system |         | IP Addresses to include in the Certificate                             |
| AdditionalDnsNames | No       |                              |         | Specifies additional DNS names that should be added to the certificate |
| Validity           | No       | 15                           |         | Defines the validity of the certificate in years                       |

## Example

```powershell
.\New-SanCertificate.ps1
```

## License

See LICENSE file for full license information.
